config/routes.rb
Rails.application.routes.draw do  
  mount Ckeditor::Engine => '/ckeditor'
  devise_for :admins
  mount RailsAdmin::Engine => '/admin', as: 'rails_admin'
  # Added devise routes and overrided registration controller
  devise_for :users, :controllers => { registrations: 'registrations' }
  # hotel resources only with index route
  resources :hotel, only: :index do
    get :rooms, on: :collection
  end
  get '/remove/:id', to: 'bookings#remove', as: 'remove'
  
  # test paypal
  resources :payments
  post "/hook" => "payments#hook"
  post "/payments/:id" => "payments#show"


  # Listing our all the bookings of the user
  resources :bookings, only: [:index, :edit, :destroy ]
  resources :services, only: :index
  get "dining", to: "hotel#foods", as: :dining  

  # Using resource hotel_categories for using the hotel_category_id for nested resources
  resources :hotel_categories, only: [] do
    # Using booking resources
    resources :bookings, only: [:new, :create] do 
      collection do
        get :search_rooms
        # route for checkig available_rooms
        get :available_rooms
      end
    end
  end

  # api routes
  namespace :api, defaults: {format: :json} do
    namespace :v1 do
      devise_for :users
      resources :hotel_rooms, only: :index
      resources :booking_informations, only: :index
    end
  end

  # root path 
  root "hotel#index"
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html



end

app/views/layouts/_footer.html.erb
<!-- Footer -->
<footer style="margin-top: 10px !important">
    <div class="container">
        <div class="row">
            <div class="col-md-3 col-sm-3 col-xs-6">
                <h4>Recieve our newsletter</h4>
                <p>Input your email here to receive the lastest news and offer from us. Subscribe now!!</p>
                <form role="form">
                    <div class="form-group">
                        <input name="newsletter" type="text" id="newsletter" value="" class="form-control" placeholder="Please enter your E-mailaddress">
                    </div>
                    <button type="submit" class="btn btn-lg btn-black btn-block">Submit</button>
                </form>
            </div>

            <div class="col-md-3 col-sm-3 col-xs-6">
                <h4>Address</h4>
                <address>
                    <strong>KiPi, Inc.</strong><br>
                    322/16/20 Cach mang thang 8 Street<br>
                    District 3, Ho Chi Minh City <br>
                    <abbr title="Phone">Phone:</abbr> <a href="tel:0366270054">+84 366 270 054</a><br>
                    <abbr title="Email">Email:</abbr> <a href="mailto: phuongtruonghvbt@gmail.com ">phuongtruonghvbt@gmail.com</a><br>
                </address>
            </div>
            <div class="col-md-6 col-sm-6">
                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3919.3896295756945!2d106.67303394979544!3d10.781440892280402!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x31752ed7c424a399%3A0x6bc5f0625c6c1c97!2zMzIyIEPDoWNoIE3huqFuZyBUaMOhbmcgOCwgUGjGsOG7nW5nIDEwLCBRdeG6rW4gMywgSOG7kyBDaMOtIE1pbmgsIFZp4buHdCBOYW0!5e0!3m2!1svi!2s!4v1541388532144" width="100%" height="320px" frameborder="0" style="border:0" allowfullscreen></iframe>
            </div>
        </div>
    </div>
    <div class="footer-bottom">
        <div class="container">
            <div class="row">
                <div class="col-xs-6"> &copy; 2019 All Rights Reserved by Phuong Truong</div>
                <div class="col-xs-6 text-right">
                </div>
            </div>
        </div>
    </div>

</footer>

<!-- Go-top Button -->
<div id="go-top"><i class="fa fa-angle-up fa-2x"></i></div>

app/views/layouts/_header.html.erb
<!-- Top header -->
<div id="top-header" style="background-color: #75c5cf">
    <div class="container">
        <div class="row">
            <div class="col-xs-10 row ">
                <div class="th-text pull-left col-xs-2 ">
                  <div class="th-item"> <a href="tel:0366270054"><i class="fa fa-phone"></i> +84 366 270 054</a> </div>
                </div>
                <div class="th-text pull-left">
                  <div class="th-item"> <a href="mailto: phuongtruonghvbt@gmail.com"><i class="fa fa-envelope"></i> PHUONGTRUONGHVBT@GMAIL.COM </a></div>
                </div>
            </div>
            <div class="col-xs-2">
                <div class="th-text pull-right">
                    <div class="th-item">
                        <div class="social-icons"> 
                            <a href="https://www.facebook.com/kieuphuong.truong.1"><i class="fa fa-facebook"></i></a> 
                            <a href="https://www.instagram.com/t.k.phuong/"><i class="fa fa-instagram"></i></a> 
                            <a href="https://www.youtube.com/channel/UCy1cZ1anhOKq5at36FQ2F5Q?view_as=subscriber"><i class="fa fa-youtube-play"></i></a> 
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Header -->
<header>
  <!-- Navigation -->
    <div class="navbar yamm navbar-default" id="sticky">
        <div class="container">
            <div class="navbar-header">
                <button type="button" data-toggle="collapse" data-target="#navbar-collapse-grid" class="navbar-toggle"> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
                <a href="/" class="navbar-brand">         
                <!-- Logo --> 
                    <div id="logo"  > 
                        <img id="default-logo" src="/assets/logo.png" alt="KiPi Hotel" style="height:44px; ">
                    </div>
                </a> 
            </div>
            <div id="navbar-collapse-grid" class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li class="dropdown <%= 'active' if params[:controller]=="hotel" && params[:action]=="index" %>"> <a href="<%=root_path%>">Home</a>
                    </li>
                    <li class="<%= 'active' if params[:controller]=="hotel" && params[:action]=="rooms" %>">
                        <%= link_to('Rooms', rooms_hotel_index_path)  %>
                    </li>
                    <li class="<%= 'active' if params[:controller]=="services" && params[:action]=="index" %>">
                        <%= link_to('Services', services_path)  %>
                    </li>
                    <li class="<%= 'active' if params[:controller]=="hotel" && params[:action]=="foods" %>">
                        <%= link_to('Dining', dining_path)  %>
                    </li>
                    
                    <% if user_signed_in? %>
                        <li class="<%= 'active' if params[:controller]=="bookings" && params[:action]=="index" %>">
                            <%= link_to('My Bookings', bookings_path)  %>
                        </li> 
                        <li class="<%= 'active' if params[:controller]=="registrations" && params[:action]=="edit" %>">
                            <%= link_to "Edit User", edit_user_registration_path %>
                        </li>
                        <li>
                            <%= link_to('Logout', destroy_user_session_path, :method => :delete) %>
                        </li>
                    <% else %>
                        <li class="<%= 'active' if params[:controller]=="devise/sessions" && params[:action]=="new" %>">
                            <%= link_to('Login', new_user_session_path)  %>  
                        </li>
                        <li class="<%= 'active' if params[:controller]=="registrations" && params[:action]=="new" %>">
                            <%= link_to('Register', new_user_registration_path)  %>
                        </li>
                    <% end %>
                </ul>
            </div>
        </div>
    </div>
</header>

app/views/layouts/application.html.erb
 <!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <%= favicon_link_tag asset_path('logo1.png'), :rel => 'icon', :type =>  'image/png' %>
    <title>KiPi-Home</title> 
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag  'application', media: 'all', 'data-turbolinks-track': 'reload' %>

    <%= javascript_include_tag 'application', 'data-no-turbolinks-track': 'reload' %>

  </head>

  <body>
    <%= render "layouts/header" %>
    <%= bootstrap_flash %>
    <%= yield %>
    <%= render "layouts/footer" %>
  </body>
</html>